Bug Hunting Session
Bug 108564 - Empty Security Warning on Linux (git build)
Summary: Empty Security Warning on Linux (git build)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dialog
  Show dependency treegraph
 
Reported: 2017-06-16 11:50 UTC by Xisco Faulí
Modified: 2018-06-22 02:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
message on Win (11.03 KB, image/png)
2017-06-16 11:50 UTC, Xisco Faulí
Details
message on Linux (13.44 KB, image/png)
2017-06-16 11:56 UTC, Xisco Faulí
Details
screenshot (24.33 KB, image/png)
2017-06-19 14:55 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2017-06-16 11:50:50 UTC
Created attachment 134063 [details]
message on Win

Steps:
1. Open attachment 118364 [details] from bug 93869
2. Check the security warning at import time. Compare it with the screenshot taken on Windows

Reproduced in

Version: 5.5.0.0.alpha0+
Build ID: 6ab249ea6aecef5d3f35d624622a368061cad9c3
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-06-16 11:56:04 UTC
Created attachment 134064 [details]
message on Linux

Tested in gtk, gtk3 and gen
Comment 2 Xisco Faulí 2017-06-16 17:57:38 UTC
I can reproduce it in

Version: 6.0.0.0.alpha0+
Build ID: 08f6f9dded1b142b858c455da03319abac691655
CPU Threads: 4; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

but not in

Version: 5.4.0.0.alpha0+
Build ID: 597a2f5d5bd37443262b0775b8439bc3502aef1b
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 3 Buovjaga 2017-06-16 18:05:48 UTC
No repro with any backend

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 5c81adc51a05a016e754de7961d3a7bdb4494e01
CPU threads: 8; OS: Linux 4.11; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on June 16th 2017
Comment 4 Yousuf Philips (jay) (retired) 2017-06-19 14:55:32 UTC
Created attachment 134134 [details]
screenshot

No repo for me on Ubuntu Mate 16.04.

Version: 6.0.0.0.alpha0+
Build ID: d6c4c576ef71f2294ec8eefc6576a797220e6809
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-17_23:12:53
Locale: en-US (en_US.UTF-8); Calc: group
Comment 5 Alex Thurgood 2017-06-19 16:00:38 UTC
Reproduced on my master build with gtk3
Comment 6 Alex Thurgood 2017-06-19 16:06:41 UTC
Linux Mint 18 4.4.0-53-generic #74-Ubuntu
Cinnamon Desktop 3.2.7
Comment 7 Xisco Faulí 2017-06-21 12:28:28 UTC
it seems it's only happening with the git build.
I can't reproduce it with a recent daily build:

Version: 6.0.0.0.alpha0+
Build ID: 96a307be540fd609bed5b1a35dfe27d7e6652f21
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF-dbg, Branch:master, Time: 2017-06-19_23:55:58
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 8 QA Administrators 2018-06-22 02:49:45 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug